{% extends 'base.html' %}

{% block content %}
    <main>
        <div>
            <h1>My Lists</h1>
            <div>
                <p>
                    <a href="{% url 'todo_list_create' %}">Create a new list</a>
                </p>
                <p>
                    <a href="{% url 'todo_item_create' %}">Create a new item</a>
                </p>
            </div>
            <table>
                <thead>
                    <tr>
                        <th>Name</th>
                        <th>Number of items</th>
                    </tr>
                </thead>
                <tbody>
                    {% for todolist in todolists %}
                        <tr>
                            <td>
                                <a href="{% url 'todo_list_detail' todolist.pk %}">{{ todolist.name }}</a>
                            </td>
                            <td>{{ todolist.items.all.count }}</td>
                        </tr>
                    {% endfor %}
                </tbody>
            </table>
        </div>
    </main>
{% endblock content %}
